<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    tools:context="de.com.limto.limto1.fragAnswer"
    android:background="@android:color/white"
    android:layout_width="match_parent"
    android:layout_height="match_parent">


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:isScrollContainer="true">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">


            <!-- TODO: Update blank fragment layout -->
            <androidx.cardview.widget.CardView
                app:cardCornerRadius="0dp"
                android:layout_width="match_parent"
                app:cardElevation="5dp"
                app:cardBackgroundColor="?attr/toolbar_color"
                android:layout_height="wrap_content">
                <TextView
                    android:id="@+id/txtQuestion"
                    android:layout_width="match_parent"
                    android:padding="10dp"
                    android:textAllCaps="true"
                    android:textColor="?attr/text_color"
                    android:layout_height="wrap_content"
                    android:text="@string/keineFrage"/>
            </androidx.cardview.widget.CardView>

            <RadioGroup
                android:id="@+id/grpOeffentlich"
                android:padding="10dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:orientation="vertical">

                <com.google.android.material.radiobutton.MaterialRadioButton
                    android:textStyle="bold"
                    android:contentDescription="@string/publicAnswer"
                    android:id="@+id/btnOeffentlich"
                    android:textColor="?attr/text_color"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/_public"/>

                <com.google.android.material.radiobutton.MaterialRadioButton
                    android:id="@+id/btnPrivat"
                    android:contentDescription="@string/privateAnswer"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:textColor="?attr/text_color"
                    android:text="@string/_private"
                    android:textStyle="bold"
                    />
            </RadioGroup>


            <RelativeLayout
                android:layout_width="match_parent"
                android:gravity="center"
                android:layout_gravity="center"
                android:layout_height="match_parent">

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_toStartOf="@+id/btnOK"
                    android:layout_toLeftOf="@+id/btnOK"
                    android:hint=" "
                    app:hintTextColor="@android:color/black">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/txtAnswer"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="@android:color/white"
                        android:hint="@string/AntwortEingeben"
                        android:textCursorDrawable="@drawable/custom_cursor_drawable"
                        android:textSize="30sp">

                    </com.google.android.material.textfield.TextInputEditText>
                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.floatingactionbutton.FloatingActionButton
                    android:id="@+id/btnOK"
                    android:contentDescription="@string/enternewanswer"
                    android:gravity="center"
                    android:layout_gravity="center"
                    app:elevation="0dp"
                    android:layout_width="wrap_content"
                    app:backgroundTint="?attr/toolbar_color"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="10dp"
                    android:layout_alignParentEnd="true"
                    app:tint="?attr/text_color"
                    app:srcCompat="@drawable/ic_action_send"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="8dp"
                    android:layout_alignParentRight="true"
                    android:layout_marginEnd="8dp" />
            </RelativeLayout>

        </LinearLayout>
    </ScrollView>
</LinearLayout>
